## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 15;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# All tests in 3.2.0 require networking, but this is corrected in future
# versions. However, the cosmos requirement from azure-cli is stuck at 3.2.0.
%bcond_with     tests

%global         srcname     azure-cosmos

Name:           python-%{srcname}
Version:        3.2.0
Release:        %autorelease
Summary:        Microsoft Azure Cosmos Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %pypi_source

Epoch:          1

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Cosmos Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}

# Fix wrong-file-end-of-line-encoding.
sed -i 's/\r$//' README.md


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md samples
%license LICENSE.txt


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.2.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.2.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1:3.2.0-12
- Rebuilt for Python 3.12

* Wed May 17 2023 Major Hayden <major@redhat.com> - 1:3.2.0-11
- Migrated to SPDX license

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:3.2.0-10
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 27 2022 Major Hayden <major@redhat.com> - 1:3.2.0-7
- Add pyproject_check_import

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1:3.2.0-6
- Rebuilt for Python 3.11

* Thu Apr 28 2022 Major Hayden <major@mhtx.net> - 1:3.2.0-5
- Switch to rpmautospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:3.2.0-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:3.2.0-2
- Add epoch number for 3.2.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1:3.2.0-1
- Add epoch tag for downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 3.2.0-1
- Revert to 3.2.0

* Fri Jun 18 2021 Major Hayden <major@mhtx.net> - 4.2.0-1
- Initial import (#1971750)
## END: Generated by rpmautospec
